curl --request PUT \
--url https://api-sandbox.orum.io/deliver/persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"addresses": [
{
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [
{
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/persons"
payload = {
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"addresses": [
{
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"address2": "<string>"
}
],
"contacts": [{ "value": "<string>" }],
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_reference_id: '<string>',
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
date_of_birth: '<string>',
social_security_number: '<string>',
addresses: [
{
type: 'home',
address1: '<string>',
city: '<string>',
state: '<string>',
country: 'US',
zip5: '<string>',
address2: '<string>'
}
],
contacts: [{value: '<string>'}],
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"person": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"middle_name": "<string>",
"date_of_birth": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"status_reasons": [
{
"reason_code": "invalid_address",
"reason_code_message": "Address submitted is a non-supported address type"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Update Person By Customer Reference ID
Update a person object using its reference id.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
v2022-09-21 Body
Unique reference id for the customer (business or person) resource. Generated by you.
1 - 255Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
1 - 255^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
1 - 255^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
255^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*$Date of birth in YYYY-MM-DD format. Note: This field is required for payouts, deposits, or account-to-account transfers. Age must be less than 100 years and greater than 18 years to be verified.
^((19|20)\d\d)-(0[1-9]|1[0-2])-(([01])[0-9]|2[0-9]|3[0-1])$Social Security Number (SSN) or Individual Taxpayer Identification Number (ITIN) in XXX-XX-XXXX format. An example dummy value is 123-45-6789. Note: This field is required for payouts, deposits, or account-to-account transfers.
Address information for the person. Note: This field is required for payouts, deposits, or account-to-account transfers.
1 elementShow child attributes
Show child attributes
Optional list of contact information for the person. If object is present, either phone and/or email contact types are accepted. A maximum of three persons or businesses can have the same phone number.
1 - 2 elementsShow child attributes
Show child attributes
Additional data you would like to provide on the resource. The field supports valid JSON of up to 5 key-value pairs with a maximum of 20 characters for the key and 50 characters for the value. Do not include any sensitive information.
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?